## fonts-lklug-sinhala 0.5.4

=== Makefile ===

FONT=lklug
VERSION=0.5.4
DIST=ttf-sinhala-$(FONT)-$(VERSION)

all: ttf

ttf: $(FONT).ttf

$(FONT).ttf: $(FONT).sfd
	./convert.ff $(FONT)

install:
	install -m 755 -d $(DESTDIR)/usr/share/fonts/truetype/$(DIST)
	install -m 644 $(FONT).ttf $(DESTDIR)/usr/share/fonts/truetype/$(DIST)

clean:
	rm -f configure-stamp

distclean: clean
	rm -f $(DIST)-$(VERSION).tar.gz
	[ -x /usr/bin/fakeroot ] && fakeroot debian/rules clean

maintainer-clean: distclean
	rm -f $(FONT).ttf

dist: maintainer-clean all
	rm -rf $(DIST)
	mkdir -p $(DIST)
	cp -a convert.ff COPYING CREDITS $(FONT).ttf $(FONT).sfd Makefile README.fonts debian $(DIST)
	find $(DIST) -name CVS -prune -exec rm -rf "{}" \;
	tar -czf $(DIST).tar.gz $(DIST)
	rm -rf $(DIST)

=== debian/changelog ===
fonts-lklug-sinhala (0.5.4-2) unstable; urgency=low

  * Team upload
  * Drop recommends on x-ttcidfont-conf. Closes: #660055
  * Update Standards to 3.9.3 (checked)
  * Move transitional package to extra priority

 -- Christian Perrier <bubulle@debian.org>  Sun, 26 Feb 2012 19:26:48 +0100

fonts-lklug-sinhala (0.5.4-1) unstable; urgency=low

  * Team upload
  * New upstream version
  * Add README.source
  * Add watch file
  * Rename source package to "fonts-lklug-sinhala" to fit the Font
    Packages Naming Policy.
  * Bump Standards to 3.9.2 (checked)
  * Bump debhelper compatibility to 8
  * Change fonts install directory from
    usr/share/fonts/truetype/ttf-sinhala-lklug to
    usr/share/fonts/truetype/sinhala
  * Move to source v3

 -- Christian Perrier <bubulle@debian.org>  Wed, 09 Nov 2011 19:10:09 +0100

ttf-sinhala-lklug (0.5.3-2) unstable; urgency=low

  * Team upload (font adopted by the pkg-fonts team)
  * Use "fontforge-nox|fontforge" in Build-Depends
  * Drop defoma use
  * Move to debhelper 7 and use a minimal rules file
  * Add ${misc:Depends} to dependencies to properly cope
    with dependencies triggerred by debhelper
  * Update Standards to 3.9.1
  * Change section to fonts

 -- Christian Perrier <bubulle@debian.org>  Sun, 13 Feb 2011 18:31:35 +0100

ttf-sinhala-lklug (0.5.3-1.1) unstable; urgency=low

  * Non-maintainer upload to get the needed font for D-I
  * Create udeb meant to be used for the graphical installer (Closes: #517523)
  
 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Nov 2010 15:40:29 +0100

ttf-sinhala-lklug (0.5.3-1) unstable; urgency=low

  * Closes: #483630 (Debian ITP)
  * Changed font directory name
  * Added DM-Upload-Allowed flag in debian/control

 -- Anuradha Weeraman <anuradha@gnuromancer.org>  Wed, 04 Jun 2008 06:54:46 -0400

ttf-sinhala-lklug (0.5.2-1) unstable; urgency=low

  * Improved copyright and license information (NIIBE Yutaka)
  * Fixed the sequence for "ඹු"

 -- Anuradha Ratnaweera <anuradha@taprobane.org>  Wed, 04 Jun 2008 13:00:00 +0530

ttf-sinhala-lklug (0.5.1-1) unstable; urgency=low

  * Debian packaging changes
  * Fixed lintian warnings
  * Updated Makefile and debian/rules
  * Removed debian/Makefile
  * Closes: #483630 (Debian)

 -- Anuradha Weeraman <anuradha@gnuromancer.org>  Thu, 29 May 2008 20:25:00 -0400

ttf-sinhala-lklug (0.5.0-1) unstable; urgency=low

  * Pakage renamed to ttf-sinhala-lklug
  * Script to convert from SFD to TTF based on ttf-freefont
  * Makefile based build
  * Defoma hints

 -- Anuradha Ratnaweera <anuradha@taprobane.org>  Wed, 28 May 2008 12:00:00 +0530

sinhala-font-lklug (0.4.2-1) unstable; urgency=low

  * Set basefilename to lklug
  * Run 'Element -> Find Problems' on kunddaliya and fix problems.
  * Move the repaya ligatures out of the PUA and into the section with the rest of the ligatures.
    - Add lookups for the 40 repaya ligatures.
    - Using rphf feature did not work, so used akhn.
    - Remove unused codepoints in PUA.

 -- Harshula Jayasuriya <harshula@gmail.com>  Sun, 05 Nov 2006 23:09:51 +0530

sinhala-font-lklug (0.4.1-1) unstable; urgency=low

  * Create and add the "Kunddaliya" glyph

 -- Harshula Jayasuriya <harshula@gmail.com>  Wed, 16 Aug 2006 02:52:20 +0530

sinhala-font-lklug (0.4.0-2) unstable; urgency=low

  * Make the DEB defoma aware

 -- Anuradha Ratnaweera <anuradha@taprobane.org>  Tue, 07 Feb 2006 20:00:00 +0600

sinhala-font-lklug (0.4.0-1) unstable; urgency=low

  * Initial release

 -- Anuradha Ratnaweera <anuradha@taprobane.org>  Tue, 31 Jan 2006 16:00:00 +0600

=== debian/control ===
Source: fonts-lklug-sinhala
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Anuradha Weeraman <anuradha@gnuromancer.org>
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: fontforge-nox|fontforge
Standards-Version: 3.9.3
Homepage: http://www.lug.lk/fonts/lklug
DM-Upload-Allowed: yes

Package: fonts-lklug-sinhala
Architecture: all
Conflicts: sinhala-font-lklug, ttf-sinhala-lklug (<< 0.5.4-1)
Replaces: sinhala-font-lklug, ttf-sinhala-lklug (<< 0.5.4-1)
Provides: sinhala-font-lklug, ttf-sinhala-lklug
Depends: ${misc:Depends}
Description: Unicode Sinhala font by Lanka Linux User Group
 This package provides the Unicode Sinhala font developed by
 the Lanka Linux User Group (LKLUG)

Package: fonts-lklug-sinhala-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: all
Description: Unicode Sinhala font by Lanka Linux User Group
 This package provides the Unicode Sinhala font developed by
 the Lanka Linux User Group (LKLUG)
 .
 This package provides the fonts for use with the GTK frontend of
 debian-installer.

Package: ttf-sinhala-lkmug
Depends: fonts-lklug-sinhala, ${misc:Depends}
Architecture: all
Section: oldlibs
Priority: extra
Description: transitional dummy package
 This package is a dummy transitional package. It can be safely removed.

## fonts-lklug-sinhala 0.6

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 FONT=lklug
-VERSION=0.5.4
+VERSION=0.6
 DIST=ttf-sinhala-$(FONT)-$(VERSION)
 
 all: ttf

=== debian/changelog ===
fonts-lklug-sinhala (0.6-4) unstable; urgency=medium

  * Trim trailing whitespace.
  * debian/control
    - Update Uploaders (Closes: #927655)
    - Remove malformed and unnecessary DM-Upload-Allowed field in
      debian/control.
    - Update Vcs-* headers to use salsa repository.
    - Drop obsolete dependencies with sinhala-font-lklug and ttf-sinhala-lklug
    - Drop fonts-lklug-sinhala-udeb (Closes: #837924)
  * debian/watch
    - Update watch file format version to 4.
  * debian/rules
    - Use default compression
  * debian/copyright
    - Convert to copyright format 1.0
  * Drop debian/preinst for obsolete defoma setting
  * Drop obsolete debian/README.source
  * debian/patches
    - 0001-Adjust-font-path.patch: debhelper confuses its tempdir as debian/tmp,
      instead of debian/<pkgname>, and fails to install file. So patched to
      source for now.
  * Add debian/salsa-ci.yml

 -- Hideki Yamane <henrich@debian.org>  Sun, 25 Apr 2021 18:55:19 +0900

fonts-lklug-sinhala (0.6-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 28 Dec 2020 15:37:32 +0100

fonts-lklug-sinhala (0.6-3) unstable; urgency=low

  * Update Standards to 3.9.4 (checked)
  * Bump debhelper compatibility to 9
  * Drop ttf-lklug-sinhala transitional package
  * Add Multi-Arch: foreign field
  * Use Breaks instead of Conflicts. Drop Provides as it is no
    longer needed (installations should have transitioned since wheezy
    and the package has anyway no reverse dependency.
  * Use xz extreme compression for deb packages
  * Use git for packaging: adapt Vcs-* fields
  * Add myself to Uploaders

 -- Christian Perrier <bubulle@debian.org>  Wed, 07 Aug 2013 22:16:25 +0200

fonts-lklug-sinhala (0.6-2) unstable; urgency=low

  * Team upload
  * Properly name the .install file for the fonts-lklug-sinhala-udeb
    package
  * Use Package-Type instead of XC-Package-Type for the udeb
  * Add ${misc:Depends} to udeb dependencies
  * Use copyright symbol in debian/copyright

 -- Christian Perrier <bubulle@debian.org>  Sat, 12 May 2012 19:42:54 +0200

fonts-lklug-sinhala (0.6-1) unstable; urgency=low

  * Team upload
  * New upstream version. Closes: #542221
  * Fix package name in README.source

 -- Christian Perrier <bubulle@debian.org>  Thu, 01 Mar 2012 22:24:55 +0100

=== debian/control ===
Source: fonts-lklug-sinhala
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Anuradha Weeraman <anuradha@gnuromancer.org>,
           Hideki Yamane <henrich@debian.org>,
Build-Depends: debhelper-compat (= 13),
Build-Depends-Indep: fontforge-nox|fontforge
Standards-Version: 4.5.1
Homepage: http://www.lug.lk/fonts/lklug
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-lklug-sinhala.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-lklug-sinhala

Package: fonts-lklug-sinhala
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Unicode Sinhala font by Lanka Linux User Group
 This package provides the Unicode Sinhala font developed by
 the Lanka Linux User Group (LKLUG)

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_clean:
	${MAKE} clean

=== debian/watch ===
version=4
http://sinhala.sourceforge.net/files ttf-sinhala-lklug-(.+).tar.gz
